콘텐츠로 건너뛰기

AMT Interpolation

통합

모델 id amt-interpolation
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/amt-interpolation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

실행당 최대 $2.07 실제 사용량에 따라 과금되며 나머지는 환불됩니다 이 페이지에서 실행

API 키 받기
Open model 동영상을 동영상으로 #interpolation#editing

입력 동영상에 새 중간 프레임을 보간하여 부드러움을 높입니다

Open model · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 video_url
파일을 끌어다 놓거나

처리할 입력을 식별하는 동영상 URL입니다.

고급 output_fps · recursive_interpolation_passes
기본값 24

출력의 프레임 레이트(초당 프레임)입니다.

기본값 2

보간에 사용되는 재귀 패스 수입니다.

POST /run/amt-interpolation?wait=20 견적 → $2.07
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/amt-interpolation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

AMT Interpolation 정보

`video_url`의 동영상을 처리하고 기존 프레임 사이에 생성된 프레임을 삽입합니다. `output_fps`는 결과의 프레임 속도를 설정하며 기본값은 24이고, `recursive_interpolation_passes`는 보간을 적용할 횟수를 설정하며 기본값은 2입니다. 동영상 하나를 반환합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
video_url필수 video
유형url · video
처리할 입력을 식별하는 동영상 URL입니다.
output_fps선택 사항
유형integer
기본값24
출력의 프레임 레이트(초당 프레임)입니다.
recursive_interpolation_passes선택 사항
유형integer
기본값2
보간에 사용되는 재귀 패스 수입니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "amt-interpolation",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2070,
    "usd": "2.07",
    "charged": 2070,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size}생성된 동영상입니다.

더 많은 모델: 동영상을 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/amt-interpolation.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt